tigase.monitor

## Class TaskConfigItemJDBCRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<Item>
  - - tigase.db.comp.UserRepoRepository<TaskConfigItem>
    - - tigase.monitor.TaskConfigItemJDBCRepository

- All Implemented Interfaces:
    Iterable<TaskConfigItem>, ComponentRepository<TaskConfigItem>, Repository, Initializable, UnregisterAware

      @Bean(name="configItemRepository",
            parent=MonitorComponent.class,
            active=true)
      public class TaskConfigItemJDBCRepository
      extends UserRepoRepository<TaskConfigItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Field Summary

    - ### Fields inherited from class tigase.db.comp.UserRepoRepository

      `REPO_CLASS_PROP_KEY, REPO_URI_PROP_KEY`

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `autoReloadInterval, items, itemsHash`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskConfigItemJDBCRepository()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible
    `String` | `getConfigKey()`
    `String[]` | `getDefaultPropetyItems()`
    `TaskConfigItem` | `getItemInstance()` Creates a new, uninitialized instance of the repository Item.
    `String` | `getPropertyKey()`
    `BareJID` | `getRepoUser()`
    `void` | `initRepository(String resource_uri, Map<String,String> params)` Deprecated.

    - ### Methods inherited from class tigase.db.comp.UserRepoRepository

      `getItemsListPKey, reload, setRepo, store`

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addItemNoStore, addRepoChangeListener, allItems, beforeUnregister, contains, getDefaultItems, getDefaults, getItem, getItemsOld, initialize, initItemsMap, isInitialized, itemChanged, iterator, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setAutoReloadInterval, setItemsOld, setProperties, size, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TaskConfigItemJDBCRepository

          public TaskConfigItemJDBCRepository()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Description copied from interface: `ComponentRepository`
      Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible

    - #### getConfigKey

          public String getConfigKey()

      Specified by:
        `getConfigKey` in class `ConfigRepository<TaskConfigItem>`

    - #### getDefaultPropetyItems

          public String[] getDefaultPropetyItems()

      Overrides:
        `getDefaultPropetyItems` in class `ConfigRepository<TaskConfigItem>`

    - #### getItemInstance

          public TaskConfigItem getItemInstance()

      Description copied from interface: `ComponentRepository`
      Creates a new, uninitialized instance of the repository Item.
      Returns:
        a new, uninitialized instance of the repository Item.

    - #### getPropertyKey

          public String getPropertyKey()

      Specified by:
        `getPropertyKey` in class `ConfigRepository<TaskConfigItem>`

    - #### getRepoUser

          public BareJID getRepoUser()

      Specified by:
        `getRepoUser` in class `UserRepoRepository<TaskConfigItem>`

    - #### initRepository

          @Deprecated
          public void initRepository(String resource_uri,
                                                 Map<String,String> params)
                                          throws DBInitException

      Deprecated.
      Description copied from interface: `Repository`
      Method is deprecated and should not be user any more.
      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Parameters:
        `resource_uri` - value in most cases representing the database connection string.
        `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.